html {
  overflow: hidden;
}
ul {
  list-style: none;
}
.full-screen {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}
.right {
  float: right;
}
.left {
  float: left;
}
.hidden {
  display: none;
}
.hacker {
  color: #eaeaea;
  font-size: 1em;
  background: #151515;
  line-height: 1.5;
  font-family: "Microsoft YaHei";
  background-image: url("../res/imgs/bkg.png");
  overflow: hidden;
}
.hacker .container {
  height: 100%;
  width: 90%;
  max-width: 850px;
  margin: 0 auto;
  position: relative;
}
.hacker .container h2,
.hacker .container h3,
.hacker .container h4,
.hacker .container h5 {
  color: #b5e853;
  margin: 0;
}
.hacker header {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1000;
  width: 100%;
  color: #b5e853;
  border-bottom: 1px dashed #b5e853;
  background-image: url("../res/imgs/bkg.png");
}
.hacker header .title {
  font-weight: 900;
  margin-top: 0;
  font-size: 2em;
  display: inline-block;
}
.hacker header p {
  color: #959595;
  margin: 10px 0 20px 0;
}
.hacker header .header-nav {
  list-style: none;
  font-weight: 600;
}
.hacker header .header-nav li {
  float: left;
  margin: 0 10px;
}
.hacker header .header-nav .active {
  color: #b5e853;
}
.hacker .header-fix {
  padding-top: 115px;
}
.hacker .main-content {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}
.hacker .main-content .pages {
  display: block;
  height: 100%;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  transition: transform 1s cubic-bezier(0.86, 0, 0.03, 1);
  -webkit-transition: -webkit-transform 1s cubic-bezier(0.86, 0, 0.03, 1);
}
.hacker .main-content .pages .page::after {
  border: 1px solid;
}
.hacker .main-content .pages .page {
  position: relative;
  background-color: #3b3b3b;
  width: 100%;
  height: 100%;
}
.hacker .main-content .pages .page .center {
  margin: auto;
}
.hacker .main-content .pages .page .circle {
  display: block;
  border: 5px solid #b5e853;
  border-radius: 85px;
  background-image: url('../res/imgs/daydayup.jpg');
  background-size: 100%;
  background-repeat: no-repeat;
  background-position-y: 40%;
}
.hacker .main-content .pages .page .big {
  width: 160px;
  height: 160px;
}
.hacker .main-content .pages .page .team-logo {
  color: #f00;
  text-align: center;
  line-height: 265px;
  font-size: 1.4em;
  position: absolute;
  top: 100px;
  left: 0;
  right: 0;
}
.hacker .main-content .pages .page .team-member {
  font-color: #fbfbfb;
  width: 50%;
  text-align: center;
  position: absolute;
  top: 280px;
  left: 0;
  right: 0;
}
.hacker .main-content .pages .page .team-member .name {
  font-size: 1.3em;
}
.hacker .main-content .pages .page .team-member .more-info {
  font-size: 0.9em;
}
.hacker .main-content .pages .page .desc {
  position: absolute;
  top: 340px;
  left: 0;
  right: 0;
  width: 60%;
  font-size: 1.1em;
  line-height: 1.3em;
}
.hacker .main-content .show-0 {
  transform: translateY(0%);
  -webkit-transform: translateY(0%);
}
.hacker .main-content .show-1 {
  transform: translateY(-100%);
  -webkit-transform: translateY(-100%);
}
.hacker .main-content .show-2 {
  transform: translateY(-200%);
  -webkit-transform: translateY(-200%);
}
.hacker .main-content .show-3 {
  transform: translateY(-300%);
  -webkit-transform: translateY(-300%);
}
.hacker .main-content .ctr-points {
  position: absolute;
  top: 40%;
  bottom: 40%;
  right: 10px;
}
.hacker .main-content .ctr-points .point {
  border: 1px solid #000;
  width: 8px;
  height: 8px;
  border-radius: 4px;
  margin: 5px 0;
  cursor: pointer;
}
.hacker .main-content .ctr-points .point:hover,
.hacker .main-content .ctr-points .selected {
  background-color: #151515;
}
.hacker a {
  color: #eaeaea;
}
a {
  text-decoration: none;
}
#wrapper {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 1;
  overflow: scroll;
}
#scroll {
  position: relative;
  height: 100%;
}
.current {
  z-index: 100 !important;
  display: block !important;
}
.current.out {
  -webkit-transition: -webkit-transform 400ms;
  -webkit-transform: translate3d(0, -100%, 0) !important;
}
.next {
  display: block !important;
  -webkit-transform: translate3d(0, 100%, 0) !important;
}
.next.in {
  -webkit-transition: -webkit-transform 400ms;
  -webkit-transform: translate3d(0, 0, 0) !important;
}
.sidebar {
  z-index: 50 !important;
  display: block !important;
  width: 60% !important;
}
.sidebar .menu {
  background-color: #272727;
  color: #fff;
  font-weight: bold;
  margin: 0;
  height: 100%;
  font-weight: normal;
  padding: 0;
}
.sidebar .menu li {
  height: 56px;
  line-height: 56px;
  border-bottom: 1px solid #b7b7b7;
}
.sidebar .menu li i {
  margin: 0 15px;
}
.sidebar.show + .current {
  -webkit-transition: -webkit-transform 400ms;
  -webkit-transform: translate3d(60%, 0, 0);
}
.sidebar.hide + .current {
  -webkit-transition: -webkit-transform 400ms;
  -webkit-transform: translate3d(0, 0, 0);
}
.view {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 99;
  display: none;
  width: 100%;
  height: 100%;
  font-family: "Microsoft YaHei";
  background-color: #fff;
}
.view header {
  background-color: #b5ffb5;
  height: 50px;
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  color: #fff;
  font-size: 1.5em;
  line-height: 50px;
  text-align: center;
}
.view header .title {
  width: 50%;
  margin: 0 auto;
}
.view header .header-left,
.view header .header-right {
  width: 50px;
  display: inline-block;
  position: absolute;
  top: 0;
  font-weight: 100;
}
.view header .header-left {
  left: 0;
}
.view header .header-right {
  right: 0;
}
.view .pulldown {
  height: 49px;
  width: 100%;
}
.view .list-icon {
  display: inline-block;
  height: 40px;
  width: 40px;
  border-radius: 20px;
  line-height: 40px;
  margin-top: 8px;
  margin-left: 8px;
  margin-right: 8px;
  color: #fff;
  text-align: center;
}
.view .list-icon.dinner {
  background-color: #FFB5B5;
}
.view .list-icon.home {
  background-color: #FF8F59;
}
.view .list-icon.traffic {
  background-color: #87CEFA;
}
.view .list-icon.income {
  background-color: #79FF79;
}
.view .content {
  margin: 0;
  padding: 0;
  width: 100%;
}
.view .content li {
  position: relative;
  transition: transform 0ms;
  -webkit-transition: transform 0ms;
  transform-origin: 0px 0px 0px;
  transform: translate(0px, 0px) translateZ(0px);
}
.view .content .list-item {
  border-top: 1px dashed #eaeaea;
  border-bottom: 1px dashed #eaeaea;
  height: 56px;
  line-height: 56px;
  color: #222222;
  font-size: 1.25rem;
  background-color: #fff;
}
.view .content .list-item .usage {
  display: inline-block;
  width: 18%;
  text-align: center;
}
.view .content .list-item .money {
  display: inline-block;
}
.view .content .list-item .money.out {
  color: #FF2D2D;
}
.view .content .list-item .money.in {
  color: #79FF79;
}
.view .content .list-item .time {
  display: inline-block;
  font-size: .4rem;
  color: #888888;
  width: 70px;
  line-height: 25px;
}
.view .content .list-item .item-icon-text {
  display: inline-block;
  width: 56px;
  height: 100%;
}
.view .content .list-item .item-icon-text .desc {
  color: #777777;
  font-size: .9rem;
  display: block;
  width: 100%;
  height: 25px;
  margin-top: -8px;
  line-height: 25px;
  text-align: center;
}
.view .content .btns {
  display: block;
  float: right;
  z-index: -10;
  position: absolute;
  right: 0;
  top: 0;
  bottom: 0;
}
.view .content .btns .btn {
  width: 50px;
  height: 56px;
  text-align: center;
  background-color: #FF2D2D;
  color: #fff;
  display: inline-block;
  margin: 0;
  line-height: 56px;
  font-size: 1.25rem;
}
.view .content .btns .btn:first-child {
  border-right: 1px solid #fff;
}
.view .content .btns .btn.edit {
  background-color: #87CEFA;
}
.view .content .btns .btn.delete {
  background-color: #FF3F3F;
}
.view .content .list-item.show {
  -webkit-transition: -webkit-transform 400ms;
  -webkit-transform: translate3d(0, 0, 0);
}
.view .content .list-item.hide {
  -webkit-transition: -webkit-transform 400ms;
  -webkit-transform: translate3d(-100px, 0, 0);
}
.view .types .list-item {
  height: 71px;
}
.view .numberinput {
  position: fixed;
  top: 100%;
  left: 0;
  height: 350px;
  width: 100%;
  color: #555555;
}
.view .numberinput .usage {
  height: 71px;
  line-height: 71px;
  background-color: #eaeaea;
  font-size: 1.2em;
  position: relative;
}
.view .numberinput .usage .text {
  margin-left: 5px;
}
.view .numberinput .usage .money:before {
  content: "￥";
}
.view .numberinput .usage .usagename {
  border: 0;
  float: left;
  left: 60px;
  position: absolute;
  top: 6px;
  height: 58px;
  line-height: 58px;
  font-size: 1.2em;
  width: 50%;
  font-family: "Microsoft YaHei";
  color: #555555;
  background-color: #eaeaea;
  border-bottom: 1px solid #555555;
}
.view .numberinput .inputpanel {
  height: 279px;
}
.view .numberinput .inputpanel .btn-row {
  height: 69.75px;
  line-height: 69.75px;
  text-align: center;
  font-size: 1.4em;
  border-top: 1px solid #bbbbbb;
}
.view .numberinput .inputpanel .btn-row span {
  width: 24.5%;
  display: inline-block;
  height: 100%;
  float: left;
  border-left: 1px solid #bbbbbb;
}
.view .numberinput .inputpanel .btn-row span:first-child {
  border: 0;
}
.view .numberinput .inputpanel .btn-row .num:focus,
.view .numberinput .inputpanel .btn-row .num.focus {
  background-color: #d9d9d9;
}
.view .numberinput .inputpanel .btn-row .opt:focus,
.view .numberinput .inputpanel .btn-row .opt.focus {
  background-color: #c5ffc5;
}
.view .numberinput.in {
  -webkit-transition: -webkit-transform 400ms;
  -webkit-transform: translate3d(0, -350px, 0);
}
